package com.google.android.play.core.assetpacks;

import android.os.Bundle;
import com.bytedance.covode.number.Covode;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public abstract class d {
    static {
        Covode.recordClassIndex(44187);
    }

    public abstract long LIZ();

    public abstract Map<String, AssetPackState> LIZIZ();

    public static d LIZ(Bundle bundle, ay ayVar, List<String> list, z zVar) {
        ArrayList<String> stringArrayList = bundle.getStringArrayList("pack_names");
        HashMap hashMap = new HashMap();
        int size = stringArrayList.size();
        for (int i = 0; i < size; i++) {
            String str = stringArrayList.get(i);
            hashMap.put(str, AssetPackState.LIZ(bundle, str, ayVar, zVar));
        }
        for (String next : list) {
            hashMap.put(next, AssetPackState.LIZ(next, 4, 0, 0, 0, 0.0d, 1));
        }
        return new ai(bundle.getLong("total_bytes_to_download"), hashMap);
    }
}
